SDLGameEngine

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- x
- y

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- a : SGEPIXELINFO
- alpha : SGEFONT , SGESPRITE
- angle : SGEPARTICLES
- angleDistribution : SGEPARTICLES
- animate : SGESPRITE

### - b -

- b : SGEPIXELINFO

### - c -

- cameraX : SGESTAGE
- cameraY : SGESTAGE
- channel : SGESOUND
- collisionColor : SGESPRITEIMAGE
- currentBank : SGESPRITE
- currentFrame : SGESPRITE

### - d -

- data : SGEGAMESTATE , SGELISTENTRY
- drawSurface : SGEPARTICLES

### - e -

- emission : SGEPARTICLES
- emissionDistribution : SGEPARTICLES

### - f -

- finished : SGEFADEFX

### - g -

- g : SGEPIXELINFO
- gravity : SGEPARTICLES

### - h -

- h : SGESPRITEIMAGE , SGELAYER , SGESTAGE
- height : SGEPATHFINDER

### - i -

- id : SGELISTENTRY
- image : SGESPRITEIMAGE
- infinite : SGEPARTICLES

### - l -

- layers : SGESTAGE

### - m -

- manager : SGEGAMESTATE
- moveSpeed : SGESPRITE

### - n -

- numberOfBanks : SGESPRITE
- numberOfElements : SGEARRAY
- numberOfEntries : SGELIST
- numberOfFiles : SGEFILE

### - o -

- onJoystickButtonDown : SGEGAMESTATE
- onJoystickButtonUp : SGEGAMESTATE
- onJoystickMove : SGEGAMESTATE
- onKeyDown : SGEGAMESTATE
- onKeyUp : SGEGAMESTATE
- onMouseDown : SGEGAMESTATE
- onMouseMove : SGEGAMESTATE
- onMouseUp : SGEGAMESTATE
- onRedraw : SGEGAMESTATE
- onStateChange : SGEGAMESTATE

### - p -

- particles : SGEPARTICLES
- playing : SGESOUND

### - r -

- r : SGEPIXELINFO
- runtime : SGEPARTICLES

### - s -

- speed : SGEPARTICLES
- speedDistribution : SGEPARTICLES
- sprite : SGELAYER , SGESPRITEGROUP , SGESPRITE
- spriteGroups : SGESTAGE

### - t -

- timeToLive : SGEPARTICLES
- timeToLiveDistribution : SGEPARTICLES
- type : SGEFONT

### - u -

- updateFunction : SGEFADEFX
- useAlpha : SGESPRITEIMAGE
- userData : SGESPRITE

### - w -

- w : SGESPRITEIMAGE , SGELAYER , SGESTAGE
- wayPoints : SGESPRITE
- width : SGEPATHFINDER

### - x -

- x : SGEPOSITION , SGELAYER , SGESPRITEIMAGE , SGESPRITE , SGESPRITEWAYPOINT , SGEPATHFINDERINFO , SGEPARTICLES

### - y -

- y : SGEPOSITION , SGELAYER , SGESPRITEIMAGE , SGESPRITE , SGESPRITEWAYPOINT , SGEPATHFINDERINFO , SGEPARTICLES

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines